Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings
Class DirectToFieldMapping

`java.lang.Object
oracle.toplink.mappings.DatabaseMapping
oracle.toplink.mappings.foundation.AbstractDirectMapping
oracle.toplink.mappings.DirectToFieldMapping`

All Implemented Interfaces:
  java.lang.Cloneable, oracle.toplink.mappings.RelationalMapping, java.io.Serializable

Direct Known Subclasses:
  DirectToXMLTypeMapping, ObjectTypeMapping, SerializedObjectMapping, TypeConversionMapping

public class DirectToFieldMapping
extends AbstractDirectMapping
implements oracle.toplink.mappings.RelationalMapping

Purpose: Maps an attribute to the corresponding database field type. The list of field types that are supported by TopLink's direct to field mapping is dependent on the relational database being used. A converter can be used to convert between the object and data type if they do not match.

Since:
  TopLink/Java 1.0
See Also:
  `Converter`, `ObjectTypeConverter`, `TypeConversionConverter`, `SerializedObjectConverter`, Serialized Form

Constructor Summary
`DirectToFieldMapping()` Default constructor.

Method Summary
`void` | `setFieldName(java.lang.String FieldName)` PUBLIC: Set the field name in the mapping.

Methods inherited from class oracle.toplink.mappings.foundation.AbstractDirectMapping
`getAttributeClassification, getAttributeClassificationName, getConverter, getFieldClassification, getFieldName, getNullValue, isMutable, setAttributeClassification, setConverter, setField, setFieldClassification, setFieldType, setIsMutable, setNullValue`

Methods inherited from class oracle.toplink.mappings.DatabaseMapping
`getAttributeAccessor, getAttributeName, getGetMethodName, getReferenceClassDescriptor, getSetMethodName, isUsingMethodAccess, readOnly, readWrite, setAttributeAccessor, setAttributeName, setGetMethodName, setIsReadOnly, setSetMethodName, setWeight, simpleAddToCollectionChangeRecord, simpleRemoveFromCollectionChangeRecord`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectToFieldMapping

    public DirectToFieldMapping()

  Default constructor.

Method Detail

### setFieldName

    public void setFieldName(java.lang.String FieldName)

  PUBLIC: Set the field name in the mapping.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD